// import { RouteRecordRaw } from 'vue-router';
import { RouteRecordDetailRaw } from '../routes.d';

export const title = "校端教务学业管理应用"

export default <RouteRecordDetailRaw[]>[
  {
    "path": "/xsdj",
    "name": "-XSDJ",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 0,
      "title": "新生登记"
    },
    "component": () => import('~/pages/xdjx/xsdj.vue'),
    "children": [
      {
        "path": "xslb",
        "name": "-XSDJ-XSLB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "新生列表"
        },
        "component": () => import('~/pages/xdjx/xsdj/xslb.vue'),
        "children": [
          {
            "path": "",
            "name": "-XSDJ-XSLB-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "新生列表"
            },
            "component": () => import('~/pages/xdjx/xsdj/xslb/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XSDJ-XSLB-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "新生详情"
            },
            "component": () => import('~/pages/xdjx/xsdj/xslb/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-XSDJ-XSLB-INDEX"
        }
      }
    ],
    "redirect": {
      "name": "-XSDJ-XSLB"
    }
  },
  {
    "path": "/jxjhgl",
    "name": "-JXJHGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 1,
      "title": "教学计划管理"
    },
    "component": () => import('~/pages/xdjx/jxjhgl.vue'),
    "children": [
      {
        "path": "jsjxjh",
        "name": "-JXJHGL-JSJXJH",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "教师教学计划"
        },
        "component": () => import('~/pages/xdjx/jxjhgl/jsjxjh.vue'),
        "children": [
          {
            "path": "",
            "name": "-JXJHGL-JSJXJH-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "教师教学计划"
            },
            "component": () => import('~/pages/xdjx/jxjhgl/jsjxjh/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-JXJHGL-JSJXJH-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "教师教学计划详情"
            },
            "component": () => import('~/pages/xdjx/jxjhgl/jsjxjh/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-JXJHGL-JSJXJH-INDEX"
        }
      },
      {
        "path": "bkzjh",
        "name": "-JXJHGL-BKZJH",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "备课组计划"
        },
        "component": () => import('~/pages/xdjx/jxjhgl/bkzjh.vue'),
        "children": [
          {
            "path": "",
            "name": "-JXJHGL-BKZJH-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "备课组计划"
            },
            "component": () => import('~/pages/xdjx/jxjhgl/bkzjh/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-JXJHGL-BKZJH-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "备课组计划详情"
            },
            "component": () => import('~/pages/xdjx/jxjhgl/bkzjh/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-JXJHGL-BKZJH-INDEX"
        }
      }
    ],
    "redirect": {
      "name": "-JXJHGL-JSJXJH"
    }
  },
  {
    "path": "/kbgl",
    "name": "-KBGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 2,
      "title": "课表管理"
    },
    "component": () => import('~/pages/xdjx/kbgl.vue'),
    "children": [
      {
        "path": "jsxkgs",
        "name": "-KBGL-JSXKGS",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "教师学科归属"
        },
        "component": () => import('~/pages/xdjx/kbgl/jsxkgs.vue'),
        "redirect": null
      },
      {
        "path": "njkcks",
        "name": "-KBGL-NJKCKS",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "年级课程开设"
        },
        "component": () => import('~/pages/xdjx/kbgl/njkcks.vue'),
        "redirect": null
      },
      {
        "path": "bjkcks",
        "name": "-KBGL-BJKCKS",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 2,
          "title": "班级课程开设"
        },
        "component": () => import('~/pages/xdjx/kbgl/bjkcks.vue'),
        "redirect": null
      },
      {
        "path": "jsbjrk",
        "name": "-KBGL-JSBJRK",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 3,
          "title": "教师班级任课"
        },
        "component": () => import('~/pages/xdjx/kbgl/jsbjrk.vue'),
        "redirect": null
      },
      {
        "path": "xxzkb",
        "name": "-KBGL-XXZKB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 4,
          "title": "学校总课表"
        },
        "component": () => import('~/pages/xdjx/kbgl/xxzkb.vue'),
        "children": [
          {
            "path": "",
            "name": "-KBGL-XXZKB-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学校总课表"
            },
            "component": () => import('~/pages/xdjx/kbgl/xxzkb/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-KBGL-XXZKB-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "学校总课表详情"
            },
            "component": () => import('~/pages/xdjx/kbgl/xxzkb/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-KBGL-XXZKB-INDEX"
        }
      },
      // {
      //   "path": "nbjkb",
      //   "name": "-KBGL-NBJKB",
      //   "props": false,
      //   "meta": {
      //     "hidden": false,
      //     "breadcrumb": false,
      //     "sort": 5,
      //     "title": "年/班级课表"
      //   },
      //   "component": () => import('~/pages/xdjx/kbgl/nbjkb.vue'),
      //   "children": [
      //     {
      //       "path": "",
      //       "name": "-KBGL-NBJKB-INDEX",
      //       "props": false,
      //       "meta": {
      //         "hidden": false,
      //         "breadcrumb": false,
      //         "sort": 0,
      //         "title": "年/班级课表"
      //       },
      //       "component": () => import('~/pages/xdjx/kbgl/nbjkb/index.vue'),
      //       "redirect": null
      //     },
      //     {
      //       "path": "detail/:aid",
      //       "name": "-KBGL-NBJKB-DETAIL",
      //       "props": true,
      //       "meta": {
      //         "hidden": true,
      //         "breadcrumb": false,
      //         "sort": 1,
      //         "title": "年/班级课表详情"
      //       },
      //       "component": () => import('~/pages/xdjx/kbgl/nbjkb/detail.vue'),
      //       "redirect": null
      //     }
      //   ],
      //   "redirect": {
      //     "name": "-KBGL-NBJKB-INDEX"
      //   }
      // },
      {
        "path": "njkb",
        "name": "-KBGL-NJKB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 5,
          "title": "年级课表"
        },
        "component": () => import('~/pages/xdjx/kbgl/nbjkb.vue'),
        "children": [
          {
            "path": "",
            "name": "-KBGL-NJKB-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "年级课表"
            },
            "component": () => import('~/pages/xdjx/kbgl/njkb/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-KBGL-NBJKB-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "年级课表详情"
            },
            "component": () => import('~/pages/xdjx/kbgl/nbjkb/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-KBGL-NJKB-INDEX"
        }
      },
      {
        "path": "bjkb",
        "name": "-KBGL-BJKB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 5,
          "title": "班级课表"
        },
        "component": () => import('~/pages/xdjx/kbgl/nbjkb.vue'),
        "children": [
          {
            "path": "",
            "name": "-KBGL-BJKB-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "班级课表"
            },
            "component": () => import('~/pages/xdjx/kbgl/bjkb/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-KBGL-NBJKB-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "班级课表详情"
            },
            "component": () => import('~/pages/xdjx/kbgl/nbjkb/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-KBGL-BJKB-INDEX"
        }
      },
      {
        "path": "jskb",
        "name": "-KBGL-JSKB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 6,
          "title": "教师课表"
        },
        "component": () => import('~/pages/xdjx/kbgl/jskb.vue'),
        "children": [
          {
            "path": "",
            "name": "-KBGL-JSKB-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "教师课表"
            },
            "component": () => import('~/pages/xdjx/kbgl/jskb/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-KBGL-JSKB-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "教师课表详情"
            },
            "component": () => import('~/pages/xdjx/kbgl/jskb/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-KBGL-JSKB-INDEX"
        }
      },
      {
        "path": "kbcssz",
        "name": "-KBGL-KBCSSZ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 7,
          "title": "课表参数设置"
        },
        "component": () => import('~/pages/xdjx/kbgl/kbcssz.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-KBGL-JSXKGS"
    }
  },
  {
    "path": "/jsrkgl",
    "name": "-JSRKGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 3,
      "title": "教师任课管理"
    },
    "component": () => import('~/pages/xdjx/jsrkgl.vue'),
    "children": [
      {
        "path": "kcgl",
        "name": "-JSRKGL-KCGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "课程管理"
        },
        "component": () => import('~/pages/xdjx/jsrkgl/kcgl.vue'),
        "redirect": null
      },
      {
        "path": "rkjsgl",
        "name": "-JSRKGL-RKJSGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "任课教师管理"
        },
        "component": () => import('~/pages/xdjx/jsrkgl/rkjsgl.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-JSRKGL-KCGL"
    }
  },
  {
    "path": "/stxkgl",
    "name": "-STXKGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 4,
      "title": "社团选课管理"
    },
    "component": () => import('~/pages/xdjx/stxkgl.vue'),
    "children": [
      {
        "path": "kcxkgl",
        "name": "-STXKGL-KCXKGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "课程选课管理"
        },
        "component": () => import('~/pages/xdjx/stxkgl/kcxkgl.vue'),
        "children": [
          {
            "path": "",
            "name": "-STXKGL-KCXKGL-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "课程选课管理"
            },
            "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-STXKGL-KCXKGL-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": true,
              "sort": 1,
              "title": "课程选课详情"
            },
            "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail.vue'),
            "children": [
              {
                "path": "",
                "name": "-STXKGL-KCXKGL-DETAIL-INDEX",
                "props": true,
                "meta": {
                  "hidden": false,
                  "breadcrumb": false,
                  "sort": 0,
                  "title": "课程选课详情"
                },
                "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/index.vue'),
                "redirect": null
              },
              {
                "path": "xkqk",
                "name": "-STXKGL-KCXKGL-DETAIL-XKQK",
                "props": true,
                "meta": {
                  "hidden": false,
                  "breadcrumb": false,
                  "sort": 1,
                  "title": "选课情况"
                },
                "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/xkqk.vue'),
                "redirect": null
              },
              {
                "path": "kcpj",
                "name": "-STXKGL-KCXKGL-DETAIL-KCPJ",
                "props": true,
                "meta": {
                  "hidden": false,
                  "breadcrumb": false,
                  "sort": 2,
                  "title": "课程评价"
                },
                "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/kcpj.vue'),
                "children": [
                  {
                    "path": "",
                    "name": "-STXKGL-KCXKGL-DETAIL-KCPJ-INDEX",
                    "props": true,
                    "meta": {
                      "hidden": false,
                      "breadcrumb": false,
                      "sort": 0,
                      "title": "课程评价"
                    },
                    "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/kcpj/index.vue'),
                    "redirect": null
                  },
                  {
                    "path": "detail/:bid",
                    "name": "-STXKGL-KCXKGL-DETAIL-KCPJ-DETAIL",
                    "props": true,
                    "meta": {
                      "hidden": false,
                      "breadcrumb": false,
                      "sort": 1,
                      "title": "课程评价详情"
                    },
                    "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/kcpj/detail.vue'),
                    "redirect": null
                  }
                ],
                "redirect": {
                  "name": "-STXKGL-KCXKGL-DETAIL-KCPJ-INDEX"
                }
              },
              {
                "path": "skdm",
                "name": "-STXKGL-KCXKGL-DETAIL-SKDM",
                "props": true,
                "meta": {
                  "hidden": true,
                  "breadcrumb": false,
                  "sort": 3,
                  "title": "上课点名"
                },
                "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/skdm.vue'),
                "children": [
                  {
                    "path": "",
                    "name": "-STXKGL-KCXKGL-DETAIL-SKDM-INDEX",
                    "props": true,
                    "meta": {
                      "hidden": false,
                      "breadcrumb": false,
                      "sort": 0,
                      "title": "上课点名"
                    },
                    "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/skdm/index.vue'),
                    "redirect": null
                  },
                  {
                    "path": "detail/:bid",
                    "name": "-STXKGL-KCXKGL-DETAIL-SKDM-DETAIL",
                    "props": true,
                    "meta": {
                      "hidden": false,
                      "breadcrumb": false,
                      "sort": 1,
                      "title": "上课点名详情"
                    },
                    "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/skdm/detail.vue'),
                    "redirect": null
                  }
                ],
                "redirect": {
                  "name": "-STXKGL-KCXKGL-DETAIL-SKDM-INDEX"
                }
              },
              {
                "path": "zygl",
                "name": "-STXKGL-KCXKGL-DETAIL-ZYGL",
                "props": true,
                "meta": {
                  "hidden": true,
                  "breadcrumb": false,
                  "sort": 4,
                  "title": "作业管理"
                },
                "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/zygl.vue'),
                "children": [
                  {
                    "path": "",
                    "name": "-STXKGL-KCXKGL-DETAIL-ZYGL-INDEX",
                    "props": true,
                    "meta": {
                      "hidden": false,
                      "breadcrumb": false,
                      "sort": 0,
                      "title": "作业管理"
                    },
                    "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/zygl/index.vue'),
                    "redirect": null
                  },
                  {
                    "path": "detail/:bid",
                    "name": "-STXKGL-KCXKGL-DETAIL-ZYGL-DETAIL",
                    "props": true,
                    "meta": {
                      "hidden": false,
                      "breadcrumb": false,
                      "sort": 1,
                      "title": "作业管理详情"
                    },
                    "component": () => import('~/pages/xdjx/stxkgl/kcxkgl/detail/zygl/detail.vue'),
                    "redirect": null
                  }
                ],
                "redirect": {
                  "name": "-STXKGL-KCXKGL-DETAIL-ZYGL-INDEX"
                }
              }
            ],
            "redirect": {
              "name": "-STXKGL-KCXKGL-DETAIL-INDEX"
            }
          }
        ],
        "redirect": {
          "name": "-STXKGL-KCXKGL-INDEX"
        }
      },
      {
        "path": "xktj",
        "name": "-STXKGL-XKTJ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "选课调剂"
        },
        "component": () => import('~/pages/xdjx/stxkgl/xktj.vue'),
        "children": [
          {
            "path": "xkqk",
            "name": "-STXKGL-XKTJ-XKQK",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "选课情况"
            },
            "component": () => import('~/pages/xdjx/stxkgl/xktj/xkqk.vue'),
            "redirect": null
          },
          {
            "path": "tjsh",
            "name": "-STXKGL-XKTJ-TJSH",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 1,
              "title": "调剂审核"
            },
            "component": () => import('~/pages/xdjx/stxkgl/xktj/tjsh.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-STXKGL-XKTJ-XKQK"
        }
      },
      {
        "path": "xskcpjb",
        "name": "-STXKGL-XSKCPJB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 2,
          "title": "学生课程评价流水表"
        },
        "component": () => import('~/pages/xdjx/stxkgl/xskcpjb.vue'),
        "children": [
          {
            "path": "",
            "name": "-STXKGL-XSKCPJB-INDEX",
            "props": true,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学生课程评价流水表"
            },
            "component": () => import('~/pages/xdjx/stxkgl/xskcpjb/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid/:bid",
            "name": "-STXKGL-XSKCPJB-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "学生课程评价表详情"
            },
            "component": () => import('~/pages/xdjx/stxkgl/xskcpjb/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-STXKGL-XSKCPJB-INDEX"
        }
      },
      {
        "path": "njxskcpjb",
        "name": "-STXKGL-NJXSKCPJB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 3,
          "title": "班级学生课程评价表"
        },
        "component": () => import('~/pages/xdjx/stxkgl/njxskcpjb.vue'),
        "redirect": null
      },
    ],
    "redirect": {
      "name": "-STXKGL-KCXKGL"
    }
  },
  {
    "path": "/khfwtg",
    "name": "-KHFWTG",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 5,
      "title": "课后服务托管"
    },
    "component": () => import('~/pages/xdjx/khfwtg.vue'),
    "children": [
      {
        "path": "khfwtg",
        "name": "-KHFWTG-KHFWTG",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "课后服务托管"
        },
        "component": () => import('~/pages/xdjx/khfwtg/khfwtg.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-KHFWTG-KHFWTG"
    }
  },
  {
    "path": "/xypjgl",
    "name": "-XYPJGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 6,
      "title": "学业评价管理"
    },
    "component": () => import('~/pages/xdjx/xypjgl.vue'),
    "children": [
      {
        "path": "kssz",
        "name": "-XYPJGL-KSSZ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "考试设置"
        },
        "component": () => import('~/pages/xdjx/xypjgl/kssz.vue'),
        "redirect": null
      },
      {
        "path": "kskmsz",
        "name": "-XYPJGL-KSKMSZ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "考试科目设置"
        },
        "component": () => import('~/pages/xdjx/xypjgl/kskmsz.vue'),
        "redirect": null
      },
      {
        "path": "cjlr",
        "name": "-XYPJGL-CJLR",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 2,
          "title": "成绩录入"
        },
        "component": () => import('~/pages/xdjx/xypjgl/cjlr.vue'),
        "redirect": {
          "name": "-XYPJGL-CJLR-INDEX"
        },
        "children": [
          {
            "path": "",
            "name": "-XYPJGL-CJLR-INDEX",
            "props": true,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "成绩录入"
            },
            "component": () => import('~/pages/xdjx/xypjgl/cjlr/index.vue'),
            "redirect": null
          },
          {
            "path": "lrcj/:aid",
            "name": "-XYPJGL-LRCJ",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "录入成绩"
            },
            "component": () => import('~/pages/xdjx/xypjgl/cjlr/lrcj.vue'),
            "redirect": null
          }
        ],
      },
      // {
      //   "path": "lrcj/:aid",
      //   "name": "-XYPJGL-LRCJ",
      //   "props": true,
      //   "meta": {
      //     "hidden": true,
      //     "breadcrumb": false,
      //     "sort": 3,
      //     "title": "录入成绩"
      //   },
      //   "component": () => import('~/pages/xdjx/xypjgl/lrcj.vue'),
      //   "redirect": null
      // },
      {
        "path": "cjsh",
        "name": "-XYPJGL-CJSH",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 4,
          "title": "成绩审核"
        },
        "component": () => import('~/pages/xdjx/xypjgl/cjsh.vue'),
        "redirect": null,
        "children": [
          {
            "path": "",
            "name": "-XYPJGL-CJSH-INDEX",
            "props": true,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "成绩审核"
            },
            "component": () => import('~/pages/xdjx/xypjgl/cjsh/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XYPJGL-CJSH-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "成绩详情"
            },
            "component": () => import('~/pages/xdjx/xypjgl/cjsh/lrcj.vue'),
            "redirect": null
          }
        ],
      },
      {
        "path": "bbtj",
        "name": "-XYPJGL-BBTJ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 5,
          "title": "报表统计"
        },
        "component": () => import('~/pages/xdjx/xypjgl/bbtj.vue'),
        "children": [
          {
            "path": "",
            "name": "-XYPJGL-BBTJ-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "报表统计"
            },
            "component": () => import('~/pages/xdjx/xypjgl/bbtj/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XYPJGL-BBTJ-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "报表统计详情"
            },
            "component": () => import('~/pages/xdjx/xypjgl/bbtj/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-XYPJGL-BBTJ-INDEX"
        }
      },
      {
        "path": "xsxypjcx",
        "name": "-XYPJGL-XSXYPJCX",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 6,
          "title": "学生学业评价查询"
        },
        "component": () => import('~/pages/xdjx/xypjgl/xsxypjcx.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-XYPJGL-KSSZ"
    }
  },
  {
    "path": "/xszhsz",
    "name": "-XSZHSZ",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 7,
      "title": "学生综合素质"
    },
    "component": () => import('~/pages/xdjx/xszhsz.vue'),
    "children": [
      {
        "path": "xscjbgd",
        "name": "-XSZHSZ-XSCJBGD",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "学生成绩报告单"
        },
        "component": () => import('~/pages/xdjx/xszhsz/xscjbgd.vue'),
        "children": [
          {
            "path": "",
            "name": "-XSZHSZ-XSCJBGD-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学生成绩报告单"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xscjbgd/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XSZHSZ-XSCJBGD-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "学生成绩报告单详情"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xscjbgd/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-XSZHSZ-XSCJBGD-INDEX"
        }
      },
      {
        "path": "xqfygl",
        "name": "-XSZHSZ-XQFYGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "学期附言管理"
        },
        "component": () => import('~/pages/xdjx/xszhsz/xqfygl.vue'),
        "children": [
          {
            "path": "",
            "name": "-XSZHSZ-XQFYGL-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学期附言管理"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xqfygl/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XSZHSZ-XQFYGL-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "学期附言详情"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xqfygl/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-XSZHSZ-XQFYGL-INDEX"
        }
      },
      {
        "path": "xycj",
        "name": "-XSZHSZ-XYCJ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 2,
          "title": "学业成绩"
        },
        "component": () => import('~/pages/xdjx/xszhsz/xycj.vue'),
        "children": [
          {
            "path": "",
            "name": "-XSZHSZ-XYCJ-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学业成绩"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xycj/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XSZHSZ-XYCJ-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "学业成绩详情"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xycj/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-XSZHSZ-XYCJ-INDEX"
        }
      },
      {
        "path": "cxddgl",
        "name": "-XSZHSZ-CXDDGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 3,
          "title": "操行等地管理"
        },
        "component": () => import('~/pages/xdjx/xszhsz/cxddgl.vue'),
        "children": [
          {
            "path": "",
            "name": "-XSZHSZ-CXDDGL-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "操行等地管理"
            },
            "component": () => import('~/pages/xdjx/xszhsz/cxddgl/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XSZHSZ-CXDDGL-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "操行等地管理详情"
            },
            "component": () => import('~/pages/xdjx/xszhsz/cxddgl/detail.vue'),
            "redirect": null
          },
          {
            "path": "point/:aid",
            "name": "-XSZHSZ-CXDDGL-POINT",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "操行等地管理打分"
            },
            "component": () => import('~/pages/xdjx/xszhsz/cxddgl/point.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-XSZHSZ-CXDDGL-INDEX"
        }
      },
      {
        "path": "xspygl",
        "name": "-XSZHSZ-XSPYGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 4,
          "title": "学生评语管理"
        },
        "component": () => import('~/pages/xdjx/xszhsz/xspygl.vue'),
        "children": [
          {
            "path": "",
            "name": "-XSZHSZ-XSPYGL-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学生评语管理"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xspygl/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XSZHSZ-XSPYGL-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "学生评语管理详情"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xspygl/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-XSZHSZ-XSPYGL-INDEX"
        }
      },
      {
        "path": "xqcqgl",
        "name": "-XSZHSZ-XQCQGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 5,
          "title": "学期出勤管理"
        },
        "component": () => import('~/pages/xdjx/xszhsz/xqcqgl.vue'),
        "children": [
          {
            "path": "",
            "name": "-XSZHSZ-XQCQGL-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "学期出勤管理"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xqcqgl/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:aid",
            "name": "-XSZHSZ-XQCQGL-DETAIL",
            "props": true,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "学期出勤管理详情"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xqcqgl/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-XSZHSZ-XQCQGL-INDEX"
        }
      },
      {
        "path": "xsstzk",
        "name": "-XSZHSZ-XSSTZK",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 6,
          "title": "学生身体状况"
        },
        "component": () => import('~/pages/xdjx/xszhsz/xsstzk.vue'),
        "children": [
          {
            "path": "sjlb",
            "name": "-XSZHSZ-XSSTZK-SJLB",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "数据列表"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xsstzk/sjlb.vue'),
            "children": [
              {
                "path": "",
                "name": "-XSZHSZ-XSSTZK-SJLB-INDEX",
                "props": false,
                "meta": {
                  "hidden": false,
                  "breadcrumb": false,
                  "sort": 0,
                  "title": "数据列表"
                },
                "component": () => import('~/pages/xdjx/xszhsz/xsstzk/sjlb/index.vue'),
                "redirect": null
              },
              {
                "path": "detail/:aid",
                "name": "-XSZHSZ-XSSTZK-SJLB-DETAIL",
                "props": true,
                "meta": {
                  "hidden": true,
                  "breadcrumb": false,
                  "sort": 1,
                  "title": "数据列表详情"
                },
                "component": () => import('~/pages/xdjx/xszhsz/xsstzk/sjlb/detail.vue'),
                "redirect": null
              }
            ],
            "redirect": {
              "name": "-XSZHSZ-XSSTZK-SJLB-INDEX"
            }
          },
          {
            "path": "tjxmlb",
            "name": "-XSZHSZ-XSSTZK-TJXMLB",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 1,
              "title": "体检项目列表"
            },
            "component": () => import('~/pages/xdjx/xszhsz/xsstzk/tjxmlb.vue'),
            "children": [
              {
                "path": "",
                "name": "-XSZHSZ-XSSTZK-TJXMLB-INDEX",
                "props": false,
                "meta": {
                  "hidden": false,
                  "breadcrumb": false,
                  "sort": 0,
                  "title": "体检项目列表"
                },
                "component": () => import('~/pages/xdjx/xszhsz/xsstzk/tjxmlb/index.vue'),
                "redirect": null
              },
              {
                "path": "detail/:aid",
                "name": "-XSZHSZ-XSSTZK-TJXMLB-DETAIL",
                "props": true,
                "meta": {
                  "hidden": true,
                  "breadcrumb": false,
                  "sort": 1,
                  "title": "体检项目列表详情"
                },
                "component": () => import('~/pages/xdjx/xszhsz/xsstzk/tjxmlb/detail.vue'),
                "redirect": null
              }
            ],
            "redirect": {
              "name": "-XSZHSZ-XSSTZK-TJXMLB-INDEX"
            }
          }
        ],
        "redirect": {
          "name": "-XSZHSZ-XSSTZK-SJLB"
        }
      },
      {
        "path": "bgdfsxx",
        "name": "-XSZHSZ-BGDFSXX",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 7,
          "title": "报告单附属信息"
        },
        "component": () => import('~/pages/xdjx/xszhsz/bgdfsxx.vue'),
        "redirect": null
      },
      {
        "path": "njbgd",
        "name": "-XSZHSZ-NJBGD",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 8,
          "title": "年级报告单"
        },
        "component": () => import('~/pages/xdjx/xszhsz/njbgd.vue'),
        "redirect": null
      },
      {
        "path": "jygl",
        "name": "-XSZHSZ-JYGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 9,
          "title": "寄语管理"
        },
        "component": () => import('~/pages/xdjx/xszhsz/jygl.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-XSZHSZ-XSCJBGD"
    }
  },
  {
    "path": "/kcpzgl",
    "name": "-KCPZGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 8,
      "title": "考场排坐管理"
    },
    "component": () => import('~/pages/xdjx/kcpzgl.vue'),
    "children": [{
      "path": "kcsz",
      "name": "-KCPZGL-KCSZ",
      "props": false,
      "meta": {
        "hidden": false,
        "breadcrumb": false,
        "sort": 0,
        "title": "考场设置"
      },
      "component": () => import('~/pages/xdjx/kcpzgl/kcsz.vue'),
      "redirect": null
    },
    {
      "path": "kcpz",
      "name": "-KCPZGL-KCPZ",
      "props": false,
      "meta": {
        "hidden": false,
        "breadcrumb": false,
        "sort": 1,
        "title": "考场排座"
      },
      "component": () => import('~/pages/xdjx/kcpzgl/kcpz.vue'),
      "children": [
        {
          "path": "",
          "name": "-KCPZGL-KCPZ-INDEX",
          "props": false,
          "meta": {
            "hidden": false,
            "breadcrumb": false,
            "sort": 0,
            "title": "考场排座"
          },
          "component": () => import('~/pages/xdjx/kcpzgl/kcpz/index.vue'),
          "redirect": null
        },
        {
          "path": "detail/:aid",
          "name": "-KCPZGL-KCPZ-DETAIL",
          "props": true,
          "meta": {
            "hidden": true,
            "breadcrumb": true,
            "sort": 1,
            "title": "考场排座详情"
          },
          "component": () => import('~/pages/xdjx/kcpzgl/kcpz/detail.vue'),
          "children": [
            {
              "path": "",
              "name": "-KCPZGL-KCPZ-DETAIL-INDEX",
              "props": true,
              "meta": {
                "hidden": false,
                "breadcrumb": false,
                "sort": 0,
                "title": "考场排座"
              },
              "component": () => import('~/pages/xdjx/kcpzgl/kcpz/detail/index.vue'),
              "redirect": null
            },
            {
              "path": "kclb",
              "name": "-KCPZGL-KCPZ-DETAIL-KCLB",
              "props": true,
              "meta": {
                "hidden": false,
                "breadcrumb": false,
                "sort": 1,
                "title": "考场列表"
              },
              "component": () => import('~/pages/xdjx/kcpzgl/kcpz/detail/kclb.vue'),
              "children": [
                {
                  "path": "",
                  "name": "-KCPZGL-KCPZ-DETAIL-KCLB-INDEX",
                  "props": true,
                  "meta": {
                    "hidden": false,
                    "breadcrumb": false,
                    "sort": 0,
                    "title": "考场列表"
                  },
                  "component": () => import('~/pages/xdjx/kcpzgl/kcpz/detail/kclb/index.vue'),
                  "redirect": null
                },
                {
                  "path": "detail/:bid",
                  "name": "-KCPZGL-KCPZ-DETAIL-KCLB-DETAIL",
                  "props": true,
                  "meta": {
                    "hidden": false,
                    "breadcrumb": false,
                    "sort": 1,
                    "title": "考场列表详情"
                  },
                  "component": () => import('~/pages/xdjx/kcpzgl/kcpz/detail/kclb/detail.vue'),
                  "redirect": null
                }
              ],
              "redirect": {
                "name": "-KCPZGL-KCPZ-DETAIL-KCLB-INDEX"
              }
            },
            {
              "path": "kslb",
              "name": "-KCPZGL-KCPZ-DETAIL-KSLB",
              "props": true,
              "meta": {
                "hidden": false,
                "breadcrumb": false,
                "sort": 2,
                "title": "考生列表"
              },
              "component": () => import('~/pages/xdjx/kcpzgl/kcpz/detail/kslb.vue'),
              "children": [
                {
                  "path": "",
                  "name": "-KCPZGL-KCPZ-DETAIL-KSLB-INDEX",
                  "props": true,
                  "meta": {
                    "hidden": false,
                    "breadcrumb": false,
                    "sort": 0,
                    "title": "考生列表"
                  },
                  "component": () => import('~/pages/xdjx/kcpzgl/kcpz/detail/kslb/index.vue'),
                  "redirect": null
                },
                {
                  "path": "detail/:bid",
                  "name": "-KCPZGL-KCPZ-DETAIL-KSLB-DETAIL",
                  "props": true,
                  "meta": {
                    "hidden": false,
                    "breadcrumb": false,
                    "sort": 1,
                    "title": "考生列表详情"
                  },
                  "component": () => import('~/pages/xdjx/kcpzgl/kcpz/detail/kslb/detail.vue'),
                  "redirect": null
                }
              ],
              "redirect": {
                "name": "-KCPZGL-KCPZ-DETAIL-KSLB-INDEX"
              }
            }
          ],
          "redirect": {
            "name": "-KCPZGL-KCPZ-DETAIL-INDEX"
          }
        }
      ],
      "redirect": {
        "name": "-KCPZGL-KCPZ-INDEX"
      }
    },
    {
      "path": "kmjksz",
      "name": "-KCPZGL-KMJKSZ",
      "props": false,
      "meta": {
        "hidden": false,
        "breadcrumb": false,
        "sort": 2,
        "title": "科目监考设置"
      },
      "component": () => import('~/pages/xdjx/kcpzgl/kmjksz.vue'),
      "redirect": null
    },
    {
      "path": "xsgl",
      "name": "-KCPZGL-XSGL",
      "props": false,
      "meta": {
        "hidden": false,
        "breadcrumb": false,
        "sort": 3,
        "title": "学生管理"
      },
      "component": () => import('~/pages/xdjx/kcpzgl/xsgl.vue'),
      "redirect": null
    },
    {
      "path": "bbtj",
      "name": "-KCPZGL-BBTJ",
      "props": false,
      "meta": {
        "hidden": false,
        "breadcrumb": false,
        "sort": 4,
        "title": "报表统计"
      },
      "component": () => import('~/pages/xdjx/kcpzgl/bbtj.vue'),
      "children": [
        {
          "path": "",
          "name": "-KCPZGL-BBTJ-INDEX",
          "props": false,
          "meta": {
            "hidden": false,
            "breadcrumb": false,
            "sort": 0,
            "title": "报表统计"
          },
          "component": () => import('~/pages/xdjx/kcpzgl/bbtj/index.vue'),
          "redirect": null
        },
        {
          "path": "detail/:aid",
          "name": "-KCPZGL-BBTJ-DETAIL",
          "props": true,
          "meta": {
            "hidden": true,
            "breadcrumb": false,
            "sort": 1,
            "title": "报表统计详情"
          },
          "component": () => import('~/pages/xdjx/kcpzgl/bbtj/detail.vue'),
          "redirect": null
        }
      ],
      "redirect": {
        "name": "-KCPZGL-BBTJ-INDEX"
      }
    }
    ],
    "redirect": {
      "name": "-KCPZGL-KCPZ"
    }
  },
  {
    "path": "/tdkgl",
    "name": "-TDKGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 9,
      "title": "调代课管理"
    },
    "component": () => import('~/pages/xdjx/tdkgl.vue'),
    "children": [
      {
        "path": "wdtdk",
        "name": "-TDKGL-WDTDK",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "我的调代课"
        },
        "component": () => import('~/pages/xdjx/tdkgl/wdtdk.vue'),
        "redirect": null
      },
      {
        "path": "tdksh",
        "name": "-TDKGL-TDKSH",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "调代课审核"
        },
        "component": () => import('~/pages/xdjx/tdkgl/tdksh.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-TDKGL-WDTDK"
    }
  }
]
